# GET /api/v1/app/{appId}

**Get application**

## Get Application

Gets this StackHawk Application.

Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id.
For more information, see [Applications](https://docs.stackhawk.com/web-app/applications.html).

| Parameter | Default | Description |
|:---:|:---:|:---:|
|applicationId|""|The UUID identifier of this application.|
|name|""|The name of this application.|
|env|""|The name of this environment. Only set when requesting Application Environments.|
|envId|""|The UUID identifier of this environment.|
|applicationStatus|"ACTIVE"|The status of this application. Either ACTIVE or ENV_INCOMPLETE.|
|organizationId|""|The UUID identifier of the organization that owns this application.|
|applicationType|"STANDARD"|The type of this application.|
|cloudScanTarget|{}|Optional Cloud Scan Target configuration.|

```json
{
	"applicationId": "",
	"name": "",
	"env": "",
	"envId": "",
	"applicationStatus": "UNKNOWN",
	"organizationId": "",
	"applicationType": "UNKNOWN",
	"cloudScanTarget": {}
}
```
```javascript
const application = {
	applicationId: "",
	name: "",
	env: "",
	envId: "",
	applicationStatus: "UNKNOWN",
	organizationId: "",
	applicationType: "UNKNOWN",
	cloudScanTarget: {},
}
```
```typescript
interface Application {
	applicationId: string
	name: string
	env: string
	envId: string
	applicationStatus: ApplicationApplicationStatus
	organizationId: string
	applicationType: ApplicationApplicationType
	cloudScanTarget: ApplicationCloudScanTarget
} 

const application: Application = {
	applicationId: "",
	name: "",
	env: "",
	envId: "",
	applicationStatus: "UNKNOWN",
	organizationId: "",
	applicationType: "UNKNOWN",
	cloudScanTarget: {},
}
```
```java
public class Application {

	public String applicationId;
	public String name;
	public String env;
	public String envId;
	public ApplicationApplicationStatus applicationStatus;
	public String organizationId;
	public ApplicationApplicationType applicationType;
	public ApplicationCloudScanTarget cloudScanTarget;

}
```
```kotlin
data class Application(
	var applicationId: String,
	var name: String,
	var env: String,
	var envId: String,
	var applicationStatus: ApplicationApplicationStatus,
	var organizationId: String,
	var applicationType: ApplicationApplicationType,
	var cloudScanTarget: ApplicationCloudScanTarget
)
```
```python
class Application:
	applicationId = ""
	name = ""
	env = ""
	envId = ""
	applicationStatus = "UNKNOWN"
	organizationId = ""
	applicationType = "UNKNOWN"
	cloudScanTarget = {}
```
```rust
struct Application {
	applicationId: &str,
	name: &str,
	env: &str,
	envId: &str,
	applicationStatus: ApplicationApplicationStatus,
	organizationId: &str,
	applicationType: ApplicationApplicationType,
	cloudScanTarget: ApplicationCloudScanTarget,
}
```

> 👥 Teams Supported
> If the application belongs to a StackHawk [Team](https://docs.stackhawk.com/web-app/teams.html), only members of the Team can call this endpoint.

> Requires `read:application` permission.

## Parameters

- `appId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Application.

## Responses

### 200 — Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see [Applications](https://docs.stackhawk.com/web-app/applications.html).

#### application/json

- `applicationId` (string) — The UUID identifier of this application.
- `applicationStatus` (string) — The status of this application. Either ACTIVE or ENV_INCOMPLETE.
- `applicationType` (string) — The type of this application.
- `cloudScanTarget` (application.CloudScanTarget)
  - `isDomainVerified` (boolean) — Indicates if the domain is verified or not.
  - `targetURL` (string) — The target URL.
- `dataType` (string) — The perceived dataType of this application. Currently unused.
- `env` (string) — The name of this environment. Only set when requesting Application Environments.
- `envId` (string) — The UUID identifier of this environment.
- `name` (string) — The name of this application.
- `organizationId` (string) — The UUID identifier of the organization that owns this application.
- `riskLevel` (string) — The perceived riskLevel of this application. Currently unused.

#### application/x-protobuf

- `applicationId` (string) — The UUID identifier of this application.
- `applicationStatus` (string) — The status of this application. Either ACTIVE or ENV_INCOMPLETE.
- `applicationType` (string) — The type of this application.
- `cloudScanTarget` (application.CloudScanTarget)
  - `isDomainVerified` (boolean) — Indicates if the domain is verified or not.
  - `targetURL` (string) — The target URL.
- `dataType` (string) — The perceived dataType of this application. Currently unused.
- `env` (string) — The name of this environment. Only set when requesting Application Environments.
- `envId` (string) — The UUID identifier of this environment.
- `name` (string) — The name of this application.
- `organizationId` (string) — The UUID identifier of the organization that owns this application.
- `riskLevel` (string) — The perceived riskLevel of this application. Currently unused.

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
